Download Usage Report

Download Usage Report
Download the consolidated usage report from License Hub.

Download the consolidate usage report from License Hub using the usage report id. This API should be used in Manual mode. In case of Automated mode, usage report will be sent to Avi Cloud Console and not be available for download.

Request
URI
POST
https://{api_host}/licensing/usage-reports/{id}
COPY
Path Parameters
string
id
Required

Usage report Id

Query Parameters
array
action
Required

Action

Enumeration: DOWNLOAD

Authentication
This operation uses the following authentication methods.
Responses
200

Usage Report downloaded successfully.

Returns string of type(s) application/zip
Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/licensing/usage-reports/{id}